diff --git a/src/backend/commands/vacuumlazy.c b/src/backend/commands/vacuumlazy.c
index 5b43a66bdc..6f7a5b4818 100644
--- a/src/backend/commands/vacuumlazy.c
+++ b/src/backend/commands/vacuumlazy.c
@@ -530,9 +530,9 @@ lazy_scan_heap(Relation onerel, int options, LVRelStats *vacrelstats,
 	 * safely set for relfrozenxid or relminmxid.
 	 *
 	 * Before entering the main loop, establish the invariant that
-	 * next_unskippable_block is the next block number >= blkno that's not we
-	 * can't skip based on the visibility map, either all-visible for a
-	 * regular scan or all-frozen for an aggressive scan.  We set it to
+	 * next_unskippable_block is the next block number >= blkno that we
+	 * can't skip based on the visibility map (either all-visible for a
+	 * regular scan or all-frozen for an aggressive scan).  We set it to
 	 * nblocks if there's no such block.  We also set up the skipping_blocks
 	 * flag correctly at this stage.
 	 *
